Result Meta Data - Query
Get list of test Result meta data details for corresponding testcasereferenceId
POST https://vstmr.dev.azure.com/{organization}/{project}/_apis/testresults/results/resultmetadata?api-version=6.0-preview.4
POST https://vstmr.dev.azure.com/{organization}/{project}/_apis/testresults/results/resultmetadata?detailsToInclude={detailsToInclude}&api-version=6.0-preview.4
URI Parameters
| Name | In | Required | Type | Description |
|---|---|---|---|---|
|
organization
|
path | True |
string |
The name of the Azure DevOps organization. |
|
project
|
path | True |
string |
Project ID or project name |
|
api-version
|
query | True |
string |
Version of the API to use. This should be set to '6.0-preview.4' to use this version of the api. |
|
details
|
query |
Details to include with test results metadata. Default is None. Other values are FlakyIdentifiers. |
Request Body
| Name | Type | Description |
|---|---|---|
| body |
string[] |
TestCaseReference Ids of the test Result to be queried, comma separated list of valid ids (limit no. of ids 200). |
Responses
| Name | Type | Description |
|---|---|---|
| 200 OK |
successful operation |
Security
oauth2
Type:
oauth2
Flow:
accessCode
Authorization URL:
https://app.vssps.visualstudio.com/oauth2/authorize&response_type=Assertion
Token URL:
https://app.vssps.visualstudio.com/oauth2/token?client_assertion_type=urn:ietf:params:oauth:client-assertion-type:jwt-bearer&grant_type=urn:ietf:params:oauth:grant-type:jwt-bearer
Scopes
| Name | Description |
|---|---|
| vso.test_write | Grants the ability to read, create, and update test plans, cases, results and other test management related artifacts. |
Examples
Get test result metadata
Sample request
POST https://vstmr.dev.azure.com/fabrikam/Fabrikam/_apis/testresults/results/resultmetadata?api-version=6.0-preview.4
[
"1"
]
Sample response
[
{
"testCaseReferenceId": 1,
"priority": 255,
"automatedTestStorage": "testproject.dll",
"automatedTestName": "TestProject.UnitTest1.TestMethod1",
"testCaseTitle": "TestMethod1",
"owner": "testowner"
}
]
Definitions
| Name | Description |
|---|---|
|
Result |
Details to include with test results metadata. Default is None. Other values are FlakyIdentifiers. |
|
Test |
Test Flaky Identifier |
|
Test |
Represents a Meta Data of a test result. |
ResultMetaDataDetails
Details to include with test results metadata. Default is None. Other values are FlakyIdentifiers.
| Value | Description |
|---|---|
| none |
Core fields of test result metadata. |
| flakyIdentifiers |
Test FlakyIdentifiers details in test result metadata. |
TestFlakyIdentifier
Test Flaky Identifier
| Name | Type | Description |
|---|---|---|
| branchName |
string |
Branch Name where Flakiness has to be Marked/Unmarked |
| isFlaky |
boolean |
State for Flakiness |
TestResultMetaData
Represents a Meta Data of a test result.
| Name | Type | Description |
|---|---|---|
| automatedTestName |
string |
AutomatedTestName of test result. |
| automatedTestStorage |
string |
AutomatedTestStorage of test result. |
| flakyIdentifiers |
List of Flaky Identifier for TestCaseReferenceId |
|
| owner |
string |
Owner of test result. |
| priority |
integer (int32) |
Priority of test result. |
| testCaseReferenceId |
integer (int32) |
ID of TestCaseReference. |
| testCaseTitle |
string |
TestCaseTitle of test result. |